package com.fs.live.service;

import java.util.List;
import com.fs.live.domain.LiveBroadcast;
import com.fs.live.dto.LiveBroadcastDto;

/**
 * 直播列表Service接口
 * 
 * @author fs
 * @date 2026-03-10
 */
public interface ILiveBroadcastService 
{
    /**
     * 查询直播列表
     * 
     * @param id 直播列表主键
     * @return 直播列表
     */
    public LiveBroadcast selectLiveBroadcastById(Long id);

    /**
     * 查询直播列表列表
     *
     * @param liveBroadcast 直播列表
     * @return 直播列表集合
     */
    public List<LiveBroadcast> selectLiveBroadcastBaseList(LiveBroadcast liveBroadcast);

    /**
     * 查询直播列表列表
     * 
     * @param liveBroadcast 直播列表
     * @return 直播列表集合
     */
    public List<LiveBroadcast> selectLiveBroadcastList(LiveBroadcast liveBroadcast);

    /**
     * 新增直播列表
     * 
     * @param liveBroadcast 直播列表
     * @return 结果
     */
    public int insertLiveBroadcast(LiveBroadcast liveBroadcast);

    /**
     * 修改直播列表
     * 
     * @param liveBroadcast 直播列表
     * @return 结果
     */
    public int updateLiveBroadcast(LiveBroadcast liveBroadcast);

    /**
     * 批量删除直播列表
     * 
     * @param ids 需要删除的直播列表主键集合
     * @return 结果
     */
    public int deleteLiveBroadcastByIds(Long[] ids);

    /**
     * 删除直播列表信息
     * 
     * @param id 直播列表主键
     * @return 结果
     */
    public int deleteLiveBroadcastById(Long id);

    void closeLive(LiveBroadcastDto liveBroadcastDto);

    List<LiveBroadcast> selectliveList(LiveBroadcast liveBroadcast);

}
